name: mongodb4
services:
  mongodb4:
    image: mongo:4.4.22
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: Specify a timezone to use.
            zh_cn: 指定要使用的时区。
            ar_sa: حدد التوقيت المستخدم.
            de_de: Geben Sie eine Zeitzone an, die verwendet werden soll.
            es_es: Especifique la zona horaria a utilizar.
            fr_fr: Spécifiez un fuseau horaire à utiliser.
            hu_hu: Adja meg a használandó időzónát.
            it_it: Specifica un fuso orario da utilizzare.
            ru_ru: Укажите часовой пояс для использования.
            pl_pl: Określ strefę czasową do użycia.
            pt_br: Especifique um fuso horário a ser utilizado.
      volumes:
        - container: /data/configdb
          description:
            en_us: MongoDB Config
        - container: /data/db
          description:
            en_us: MongoDB Database file
      ports:
        - container: '27017'
          description:
            en_us: MongoDB Port
    ports:
      - target: 27017
        published: "27017"
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/mongodb4/data/configdb
        target: /data/configdb
      - type: bind
        source: /DATA/AppData/mongodb4/data/db
        target: /data/db
    container_name: mongodb4
x-casaos:
  architectures:
    - amd64
    - arm64
  main: mongodb4
  description:
    en_us: MongoDB is a free and open-source cross-platform document-oriented database program. Classified as a NoSQL database program, MongoDB uses JSON-like documents with schemata. MongoDB is developed by MongoDB Inc., and is published under a combination of the Server Side Public License and the Apache License.
    zh_cn: MongoDB 是一个免费且开源的跨平台面向文档的数据库程序。MongoDB 被归类为 NoSQL 数据库程序，它使用具有模式的类似 JSON 的文档。MongoDB 由 MongoDB Inc. 开发，并在 Server Side Public License 和 Apache License 的组合下发布。
    ar_sa: MongoDB هو برنامج قاعدة بيانات وثائقية عابرة للمنصات ومفتوح المصدر ومجاني. يُصنف MongoDB كبرنامج قاعدة بيانات NoSQL، ويستخدم وثائق تشبه JSON مع تخطيطات. تم تطوير MongoDB بواسطة MongoDB Inc. وتم نشره تحت ترخيص Server Side Public وترخيص Apache.
    de_de: MongoDB ist ein kostenloses und Open-Source, plattformübergreifendes, dokumentenorientiertes Datenbankprogramm. MongoDB wird als NoSQL-Datenbankprogramm eingestuft und verwendet JSON-ähnliche Dokumente mit Schemata. MongoDB wird von MongoDB Inc. entwickelt und unter der Kombination der Server Side Public License und der Apache License veröffentlicht.
    es_es: MongoDB es un programa de base de datos orientado a documentos, gratuito y de código abierto, multiplataforma. MongoDB se clasifica como un programa de base de datos NoSQL y utiliza documentos similares a JSON con esquemas. MongoDB es desarrollado por MongoDB Inc. y se publica bajo una combinación de la Licencia Pública del Lado del Servidor y la Licencia Apache.
    fr_fr: MongoDB est un programme de base de données orienté documents, gratuit et open source, multiplateforme. MongoDB est classé comme un programme de base de données NoSQL et utilise des documents de type JSON avec des schémas. MongoDB est développé par MongoDB Inc. et est publié sous une combinaison de la Licence Publique du Côté Serveur et de la Licence Apache.
    hu_hu: A MongoDB egy ingyenes és nyílt forráskódú, többplatformos dokumentumorientált adatbázisprogram. A MongoDB-t NoSQL adatbázisprogramként sorolják be, JSON-szerű dokumentumokat használ sémákkal. A MongoDB-t a MongoDB Inc. fejleszti és a Server Side Public License és az Apache License kombinációjával jelenteti meg.
    it_it: MongoDB è un programma di database orientato ai documenti, gratuito e open source, multipiattaforma. MongoDB viene classificato come un programma di database NoSQL e utilizza documenti simili a JSON con schemi. MongoDB è sviluppato da MongoDB Inc. ed è pubblicato sotto una combinazione della Server Side Public License e dell'Apache License.
    ru_ru: MongoDB - это бесплатная и открытая кросс-платформенная программа для работы с документоориентированной базой данных. Она классифицируется как NoSQL-база данных и использует документы в формате JSON с схемами. MongoDB разработана компанией MongoDB Inc. и распространяется под комбинацией лицензий Server Side Public и Apache.
    pl_pl: MongoDB to darmowy i otwartoźródłowy, wieloplatformowy program bazodanowy zorientowany na dokumenty. MongoDB jest klasyfikowana jako program bazodanowy NoSQL i wykorzystuje dokumenty w formacie JSON z schematami. MongoDB jest rozwijana przez MongoDB Inc. i jest publikowana na zasadach licencji Server Side Public License oraz licencji Apache.
    pt_br: O MongoDB é um programa de banco de dados orientado a documentos, gratuito e de código aberto, multiplataforma. Classificado como um programa de banco de dados NoSQL, o MongoDB utiliza documentos semelhantes a JSON com esquemas. O MongoDB é desenvolvido pela MongoDB Inc. e é publicado sob uma combinação da Licença Pública do Lado do Servidor e da Licença Apache.
  tagline:
    en_us: A free and open-source cross-platform document-oriented database program. Classified as a NoSQL database program, MongoDB uses JSON-like documents with schemata.
    zh_cn: 一个免费且开源的跨平台面向文档的数据库程序。MongoDB 被归类为 NoSQL 数据库程序，它使用具有模式的类似 JSON 的文档。
    ar_sa: برنامج قاعدة بيانات وثائقية عابرة المنصات ومفتوح المصدر ومجاني. يُصنف MongoDB كبرنامج قاعدة بيانات NoSQL، ويستخدم وثائق تشبه JSON مع تخطيطات.
    de_de: Ein kostenloses und Open-Source, plattformübergreifendes, dokumentenorientiertes Datenbankprogramm. MongoDB wird als NoSQL-Datenbankprogramm eingestuft und verwendet JSON-ähnliche Dokumente mit Schemata.
    es_es: Un programa de base de datos orientado a documentos, gratuito y de código abierto, que es multiplataforma. MongoDB se clasifica como un programa de base de datos NoSQL y utiliza documentos similares a JSON con esquemas.
    fr_fr: Un programme de base de données orienté documents, gratuit et open source, multiplateforme. MongoDB est classé comme un programme de base de données NoSQL et utilise des documents de type JSON avec des schémas.
    hu_hu: Egy ingyenes, nyílt forráskódú, többplatformos dokumentumorientált adatbázisprogram. A MongoDB-t NoSQL adatbázisprogramként sorolják be, JSON-szerű dokumentumokat használ sémákkal.
    it_it: Un programma gratuito e open source di database orientato ai documenti, multipiattaforma. MongoDB viene classificato come un programma di database NoSQL e utilizza documenti simili a JSON con schemi.
    ru_ru: Бесплатная и открытая кросс-платформенная программная система, ориентированная на документы. MongoDB классифицируется как программная система базы данных NoSQL и использует документы в формате JSON с схемами.
    pl_pl: Darmowy, otwartoźródłowy program bazodanowy zorientowany na dokumenty, działający na wielu platformach. MongoDB jest klasyfikowana jako program bazodanowy NoSQL i wykorzystuje dokumenty w formacie JSON z schematami.
    pt_br: Um programa de banco de dados orientado a documentos, gratuito e de código aberto, multiplataforma. O MongoDB é classificado como um programa de banco de dados NoSQL e utiliza documentos semelhantes a JSON com esquemas.
  screenshot_link:
  developer: MongoDB Inc.
  author: WisdomSky
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/MongoDB4/icon.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/MongoDB4/icon.png
  category: Developer
  title:
    en_us: MongoDB 4
